/**
 * Plugin to increase or decrease heading depth.
 *
 * @type {import('unified').Plugin<[Options?]|void[], Root>}
 */
export default function remarkBehead(options?: void | Options | undefined): void | import("unified").Transformer<import("mdast").Root, import("mdast").Root>;
export type Root = import('mdast').Root;
export type Heading = import('mdast').Heading;
export type Content = import('mdast').Content;
export type NodeSpecifier = string | number | {
    [x: string]: unknown;
};
/**
 * Configuration.
 */
export type Options = {
    /**
     * Number by which the depth of heading is increased or decreased.
     */
    depth?: number | undefined;
    /**
     * Minimal depth for headings.
     */
    minDepth?: 2 | 3 | 4 | 5 | 6 | undefined;
    /**
     * Manipulates heading nodes after but not including the given node specifier.
     */
    after?: NodeSpecifier | undefined;
    /**
     * Manipulates heading nodes before but not including the given node specifier.
     */
    before?: NodeSpecifier | undefined;
    /**
     * Manipulates hading nodes between but not including the two given node specifiers.
     */
    between?: [NodeSpecifier, NodeSpecifier] | undefined;
};
